const.hpp File Reference

Go to the source code of this file.

## Classes

class | Gecode::Set::ArrayRanges
| Range iterator for a two-dimensional array More...
class | Gecode::Set::LubRanges< EmptyView >
| Range iterator for least upper bound of constantly empty set view More...
class | Gecode::Set::GlbRanges< EmptyView >
| Range iterator for greatest lower bound of constantly empty set view More...
class | Gecode::Set::LubRanges< UniverseView >
| Range iterator for least upper bound of constant universe set view More...
class | Gecode::Set::GlbRanges< UniverseView >
| Range iterator for greatest lower bound of constant universe set view More...
class | Gecode::Set::LubRanges< ConstSetView >
| Range iterator for least upper bound of constant set view More...
class | Gecode::Set::GlbRanges< ConstSetView >
| Range iterator for greatest lower bound of constant set view More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Set
| Finite integer sets.